## nlopt 0.1.1

=== DESCRIPTION ===
Package: nlopt
Type: Package
Title: Call Optimization Solvers with .nl Files
Version: 0.1.1
Authors@R: c(person(given="Brais",family="Gonzalez-Rodriguez",email="braisgonzalez.rodriguez@usc.es",role=c("aut","cre")))
Description: The purpose of this library is to to call different optimization solvers (such as Gonzalez Rodriguez et al. (2022) <doi:10.1007/s10898-022-01229-w>, Tawarmalani and Sahinidis (2005) <doi:10.1007/s10107-005-0581-8>, and Byrd et al. (2006) <doi:10.1007/0-387-30065-1_4>) to solve problems given by a standard nl file.
License: GPL-3
Language: en-US
Imports: stringr
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-11-17 12:16:59 UTC; brais
Author: Brais Gonzalez-Rodriguez [aut, cre]
Maintainer: Brais Gonzalez-Rodriguez <braisgonzalez.rodriguez@usc.es>
Repository: CRAN
Date/Publication: 2023-11-17 20:00:05 UTC

## nlopt 2.2.4+dfsg

=== debian/changelog ===
nlopt (2.2.4+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #610623)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Tue, 07 Jun 2011 23:42:16 +0200

=== debian/control ===
Source: nlopt
Section: devel
Priority: extra
Maintainer: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Build-Depends: quilt, debhelper (>= 8), autotools-dev, libtool, automake,
 gcc (>= 4.2), g++ (>= 4.2), octave-pkg-dev (>= 0.7.0), 
 python-all-dev (>= 2.6.6-3~), python-numpy, 
 guile-1.8, guile-1.8-dev
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://ab-initio.mit.edu/wiki/index.php/NLopt
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/nlopt
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/nlopt

Package: libnlopt0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: nonlinear optimization library
 NLopt is a free/open-source library for nonlinear optimization, providing 
 a common interface for a number of different free optimization routines 
 available online as well as original implementations of various other 
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also 
    algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization, 
    and general nonlinear inequality/equality constraints.

Package: libnlopt-dev
Architecture: any
Section: libdevel
Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: nonlinear optimization library - development files
 NLopt is a free/open-source library for nonlinear optimization, providing 
 a common interface for a number of different free optimization routines 
 available online as well as original implementations of various other 
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also 
    algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization, 
    and general nonlinear inequality/equality constraints.
 .
 This package contains development files of nlopt.

Package: python-nlopt
Architecture: any
Section: python
X-Python-Version: ${python:Versions}
Depends: libnlopt0, ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: python bindings for nlopt
 NLopt is a free/open-source library for nonlinear optimization, providing 
 a common interface for a number of different free optimization routines 
 available online as well as original implementations of various other 
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also 
    algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization, 
    and general nonlinear inequality/equality constraints.
 .
 This package contains python bindings of nlopt.
 
Package: octave-nlopt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends} 
Description: nlopt for octave
 NLopt is a free/open-source library for nonlinear optimization, providing 
 a common interface for a number of different free optimization routines 
 available online as well as original implementations of various other 
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also 
    algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization, 
    and general nonlinear inequality/equality constraints.
 .
 This package contains nlopt plugins for octave.

Package: libnlopt-guile0
Architecture: any
Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 guile-1.8 
Description: guile plugins for nlopt
 NLopt is a free/open-source library for nonlinear optimization, providing 
 a common interface for a number of different free optimization routines 
 available online as well as original implementations of various other 
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also 
    algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization, 
    and general nonlinear inequality/equality constraints.
 .
 This package contains nlopt plugins for guile.

=== debian/rules ===
#!/usr/bin/make -f


PYVERS := $(shell pyversions -vr debian/control)

# The directories below are versioned.  We only support the packages for the
# stable version of Octave
mpath = $(shell octave-config -p LOCALFCNFILEDIR)
bpath = $(shell octave-config -p LOCALARCHLIBDIR)

BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=autoconf --builddirectory=$(BUILDDIR) --with python2

override_dh_auto_reconf:
	[ -e bin/scripts ] || mkdir -p bin/scripts
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub bin/scripts
	libtoolize --automake
	aclocal -Im4
	autoreconf -i
	automake
 
override_dh_auto_clean:
	for v in $(PYVERS); do \
	   rm -rf $(BUILDDIR)$$v; \
	done
	-rm bin/scripts/config.guess bin/scripts/config.sub
	-rm ltmain.sh octave/nlopt_optimize-oct.o m4/ltversion.m4 m4/libtool.m4 m4/ltoptions.m4 m4/lt~obsolete.m4
	-rm aclocal.m4
	-rm -rf autom4te.cache
	-rm configure
	find . -name Makefile.in | xargs -r rm 

override_dh_auto_configure: override_dh_auto_reconf
	for v in $(PYVERS); do \
	dh_auto_configure --builddirectory=$(BUILDDIR)$$v \
	   -- $(extra_flags) \
		--prefix=/usr \
		--srcdir=$(CURDIR) \
		--enable-shared \
	   PYTHON=/usr/bin/python$$v  OCT_INSTALL_DIR=$(bpath) M_INSTALL_DIR=$(mpath) GUILE=guile GUILE_CONFIG=guile-config ;\
	done

override_dh_auto_build:
	# to prevent bug in install due to build-%/config.status being deleted after build target is done
	mkdir -p $(CURDIR)/debian/tmp

	for v in $(PYVERS); do \
	   dh_auto_build --builddirectory=$(BUILDDIR)$$v; \
	done

override_dh_auto_install:
	for v in $(PYVERS); do \
	  dh_auto_install --builddirectory=$(BUILDDIR)$$v; \
	done

	#
	# to prevent bug in install due to build-%/config.status being deleted after build target is done
	dh_prep --exclude=debian/tmp
	find . -name "*.pyc" -exec rm {} \;
	#
	# Fix lintian errors
	dh_numpy
	dh_shlibdeps
	#
	# Fix unstripped-binary-or-object
	strip  --strip-unneeded $(CURDIR)/debian/tmp/usr/lib/libnlopt.so.0*
	strip  --strip-unneeded $(CURDIR)/debian/tmp/usr/lib/libnlopt_guile.so.0.*
	find $(CURDIR)/debian/tmp/usr/lib -name _\*.so | xargs strip --strip-unneeded 
	strip  --strip-unneeded $(CURDIR)/debian/tmp/$(bpath)/nlopt_optimize.oct
	#
	#mkdir -p  $(CURDIR)/debian/tmp/usr/share/lintian/overrides/
	#cp debian/octave-nlopt.lintian-overrides $(CURDIR)/debian/tmp/usr/share/lintian/overrides/octave-nlopt
	#
	find $(CURDIR)/debian/tmp/usr/lib -name \*.la | xargs rm

# Grab the version before +dfsg
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	rm -rf nlopt-$(DEB_UPSTREAM_VERSION)
	tar -xf nlopt_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm nlopt_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	find nlopt-$(DEB_UPSTREAM_VERSION) -name \*.pdf | xargs rm
	mv nlopt-$(DEB_UPSTREAM_VERSION) nlopt-$(DEB_UPSTREAM_VERSION).orig
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
			-f nlopt_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz \
			nlopt-$(DEB_UPSTREAM_VERSION).orig
	rm -r nlopt-$(DEB_UPSTREAM_VERSION).orig

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
    http://ab-initio.mit.edu/wiki/index.php/NLopt .*/nlopt-(.*)\.tar\.gz

## nlopt 2.3+dfsg

=== debian/changelog ===
nlopt (2.3+dfsg-1ubuntu1) raring; urgency=low

  * Detect Python includes paths using '$PYTHON-config --includes'
    debian/patches.04-python-includes.patch

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 07 Jan 2013 13:12:25 -0700

nlopt (2.3+dfsg-1) unstable; urgency=low

  [ Christophe Trophime ]
  * fix lintian error
  * fix override disparity

  [ Sergey B Kirpichev ]
  * New upstream version (Closes: #682273)
  * Adopt machine-readable debian/copyright file format
  * Add symbols control file for libnlopt.so
  * Provide /usr/share/doc in libnlopt0 package, make symlinks for
    others
  * Simplify debian/rules
  * Reformat debian/control, drop trailing spaces
  * Fix some short/long descriptions
  * Move manpages to libnlopt-dev, add nlopt.pc (Closes: #695659)
  * Drop unused override (revert back "fix lintian error")
  * Add shlibs file for libnlopt0
  * Fix Depends
  * Fix override disparities: change priority to optional and revert
    back Section's for source package and libnlopt0 (revert back "fix
    override disparity")
  * Cleanup debian/README.source
  * Update debian/libnlopt0.symbols for new release
  * Drop get-orig-source target, repackage upstream tarball with uscan

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Wed, 12 Dec 2012 13:30:53 +0100

nlopt (2.2.4+dfsg-2) unstable; urgency=low

  [Sergey B Kirpichev]
  * Install libnlopt_guile.so (Closes: #679619)
  * Add multiarch support

  [ Rafael Laboissiere ]
  * debian/rules:
      - Install the .oct file in the appropriate directory (Closes: #679617)

  * Add Sergey B Kirpichev <skirpichev@gmail.com> to Uploaders

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Wed, 27 Jun 2012 12:05:11 +0200

=== debian/control ===
Source: nlopt
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>, Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
 autotools-dev, libtool, automake,
 gcc (>= 4.2), g++ (>= 4.2), octave-pkg-dev (>= 1.0.1), 
 python-all-dev (>= 2.6.6-3~), python-numpy, 
 guile-1.8, guile-1.8-dev
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Homepage: http://ab-initio.mit.edu/wiki/index.php/NLopt
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/nlopt
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/nlopt

Package: libnlopt0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: nonlinear optimization library
 NLopt is a free/open-source library for nonlinear optimization, providing
 a common interface for a number of different free optimization routines
 available online as well as original implementations of various other
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also
      algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization,
      and general nonlinear inequality/equality constraints.
 .
 This package provides the shared libraries required to run programs
 compiled with NLopt. To compile your own programs you also need to
 install libnlopt-dev.

Package: libnlopt-dev
Architecture: any
Section: libdevel
Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: nonlinear optimization library -- development package
 NLopt is a free/open-source library for nonlinear optimization, providing
 a common interface for a number of different free optimization routines
 available online as well as original implementations of various other
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also
      algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization,
      and general nonlinear inequality/equality constraints.
 .
 This package contains the header files, static libraries and symbolic
 links that developers using NLopt library will need.

Package: python-nlopt
Architecture: any
Section: python
Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: nonlinear optimization library -- Python bindings
 NLopt is a free/open-source library for nonlinear optimization, providing
 a common interface for a number of different free optimization routines
 available online as well as original implementations of various other
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also
      algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization,
      and general nonlinear inequality/equality constraints.
 .
 This package contains the Python bindings.

Package: octave-nlopt
Architecture: any
Depends: libnlopt0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: nonlinear optimization library -- GNU Octave package
 NLopt is a free/open-source library for nonlinear optimization, providing
 a common interface for a number of different free optimization routines
 available online as well as original implementations of various other
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also
      algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization,
      and general nonlinear inequality/equality constraints.
 .
 This package contains the module for the GNU Octave.

Package: libnlopt-guile0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, guile-1.8
Description: nonlinear optimization library -- Guile bindings
 NLopt is a free/open-source library for nonlinear optimization, providing
 a common interface for a number of different free optimization routines
 available online as well as original implementations of various other
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also
      algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization,
      and general nonlinear inequality/equality constraints.
 .
 This package contains the bindings for GNU Guile.

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = $(CURDIR)/debian/build

PYVERS := $(shell pyversions -vr debian/control)

# The directories below are versioned.  We only support the packages for the
# stable version of Octave
mpath = $(shell octave-config -p LOCALFCNFILEDIR)
bpath = $(shell octave-config -p LOCALOCTFILEDIR)

%:
	dh $@  --buildsystem=autoconf --builddirectory=$(BUILDDIR) --with python2

override_dh_auto_reconf:
	[ -e bin/scripts ] || mkdir -p bin/scripts
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub bin/scripts
	libtoolize --automake
	aclocal -Im4
	autoreconf -i
	automake

override_dh_auto_configure: override_dh_auto_reconf
	for v in $(PYVERS); do \
	   dh_auto_configure --builddirectory=$(BUILDDIR)$$v \
	        -- $(extra_flags) \
		--prefix=/usr \
		--srcdir=$(CURDIR) \
		--enable-shared \
		PYTHON=/usr/bin/python$$v \
		OCT_INSTALL_DIR=$(bpath) M_INSTALL_DIR=$(mpath) \
		GUILE=guile GUILE_CONFIG=guile-config; \
	done

override_dh_auto_build:
	for v in $(PYVERS); do \
	   dh_auto_build --builddirectory=$(BUILDDIR)$$v; \
	done

override_dh_clean:
	dh_clean --exclude='*.orig'
	for v in $(PYVERS); do \
	   rm -rf $(BUILDDIR)$$v; \
	done

override_dh_auto_build:
	# to prevent bug in install due to build-%/config.status being deleted after build target is done
	mkdir -p $(CURDIR)/debian/tmp

	for v in $(PYVERS); do \
	   dh_auto_build --builddirectory=$(BUILDDIR)$$v; \
	done

override_dh_strip:
	dh_strip
	find debian/octave-nlopt/usr/lib -name *.oct | \
		xargs strip --strip-unneeded --remove-section=.comment

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/python2.7/dist-packages

override_dh_shlibdeps:
	dh_shlibdeps -- \
		debian/libnlopt0/usr/lib/*/libnlopt.so.* \
		-Tdebian/libnlopt0.substvars
	dh_shlibdeps -- \
		debian/libnlopt-guile0/usr/lib/*/libnlopt_guile.so.* \
		-Tdebian/libnlopt-guile0.substvars
	dh_shlibdeps -- \
		debian/octave-nlopt/usr/lib/*/octave/site/oct/*/*.oct \
		-Tdebian/octave-nlopt.substvars
	dh_shlibdeps -- \
		debian/python-nlopt/usr/lib/python*/dist-packages/*.so* \
		-Tdebian/python-nlopt.substvars

override_dh_auto_install:
	for v in $(PYVERS); do \
	  dh_auto_install --builddirectory=$(BUILDDIR)$$v; \
	done

	dh_numpy
	find debian/tmp/usr/lib/python* \
		-name '*.pyc' -o -name '*.pyo' \
		-o -name '*.la' -o -name '*.a' | xargs rm

override_dh_link:
	for package in libnlopt-dev libnlopt-guile0 octave-nlopt python-nlopt; do \
		rm -rf debian/$$package/usr/share/doc/$$package; \
	done
	dh_link

## nlopt 2.4.1+dfsg

=== debian/changelog ===
nlopt (2.4.1+dfsg-1~nd80+1) jessie; urgency=low

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 21 Jan 2014 17:03:48 -0500

nlopt (2.4.1+dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #728556)
  * Bump up Standards-Version (to 3.9.5)
  * Change Section to libs for libnlopt-guile0

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 03 Dec 2013 18:19:26 +0400

nlopt (2.4+dfsg-1) unstable; urgency=low

  * New upstream version
  * Fix lintian error: vcs-field-not-canonical
  * Fix permissions on debian/orig-tar.sh
  * Remove patches, applied by upstream
  * Refresh patches for the new upstream release
  * Update debian/libnlopt0.symbols
  * Change octave-nlopt priority to optional (See: #706761)
  * Override lintian error(X) shlib-calls-exit for libnlopt0

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 16 Nov 2013 15:27:46 +0400

nlopt (2.3+dfsg-2) unstable; urgency=low

  [ Tim Gardner ]
  * Add 04-python-includes.patch to detect correct include
    python paths (Closes: #697638)

  [ Sergey B Kirpichev ]
  * Removed debian/docs
  * Drop unused override for octave-nlopt: missing-dependency-on-libc
  * Bump up Standards-Version (to 3.9.4)
  * Ignore shared libraries in nlopt-python (fix postinst/rm-has-
    useless-call-to-ldconfig lintian warning's)

  [ Christophe Trophime ]
  * Updated patches following DEP3 (python-includes.patch,
    configure.patch and swig.patch)

  [ Sergey B Kirpichev ]
  * Added Forwarded: headers for patches 01-03
  * Set octave-nlopt priority (optional -> extra), according to the policy
  * Unfuzz patches with "quilt refresh -pab --no-index
    --no-timestamps --diffstat"
  * Renamed patches (foo_bar.patch -> foo-bar.patch, git-format-patch's
    default naming scheme)
  * Added missing Forwarded: headers for debian/patches/*
  * Point to related bug for python-includes.patch
  * Drop unused override for libnlopt-guile0
  * Fix FTBFS dh_auto_test: error: unable to chdir to
    debian/build (Closes: #718054)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 16 Oct 2013 09:40:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: nlopt
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>, Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
- autotools-dev, libtool, automake,
- gcc (>= 4.2), g++ (>= 4.2), octave-pkg-dev (>= 1.0.1), 
- python-all-dev (>= 2.6.6-3~), python-numpy, 
- guile-1.8, guile-1.8-dev
-Standards-Version: 3.9.3
+ autotools-dev, libtool, automake, g++ (>= 4.2), octave-pkg-dev (>= 1.0.1),
+ python-all-dev (>= 2.6.6-3~), python-numpy, guile-1.8, guile-1.8-dev
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: http://ab-initio.mit.edu/wiki/index.php/NLopt
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/nlopt
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/nlopt
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/nlopt
 
 Package: libnlopt0
@@ -20,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Description: nonlinear optimization library
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -43,7 +41,7 @@
 Package: libnlopt-dev
 Architecture: any
 Section: libdevel
-Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: nonlinear optimization library -- development package
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -65,7 +63,7 @@
 Package: python-nlopt
 Architecture: any
 Section: python
-Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Description: nonlinear optimization library -- Python bindings
  NLopt is a free/open-source library for nonlinear optimization, providing
@@ -86,7 +84,7 @@
 
 Package: octave-nlopt
 Architecture: any
-Depends: libnlopt0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
+Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
 Description: nonlinear optimization library -- GNU Octave package
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -105,10 +103,11 @@
  This package contains the module for the GNU Octave.
 
 Package: libnlopt-guile0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, guile-1.8
+Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, guile-1.8
 Description: nonlinear optimization library -- Guile bindings
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 		xargs strip --strip-unneeded --remove-section=.comment
 
 override_dh_makeshlibs:
-	dh_makeshlibs -X/usr/lib/python2.7/dist-packages
+	dh_makeshlibs $(shell for v in $(PYVERS); do printf -- "-X/usr/lib/python$$v/dist-packages "; done)
 
 override_dh_shlibdeps:
 	dh_shlibdeps -- \
@@ -89,3 +89,9 @@
 	done
 	dh_link
 
+
+override_dh_auto_test:
+	for v in $(PYVERS); do \
+	   dh_auto_test --builddirectory=$(BUILDDIR)$$v \
+	        -- $(extra_flags); \
+	done

## nlopt 2.4.2%2Bdfsg

=== debian/changelog ===
nlopt (2.4.2+dfsg-8) unstable; urgency=medium

  * Team upload
  * Add missing Depends: libnlopt-cxx0 to libnlopt-cpp-dev
    Closes: #903347
  * Standards-Version: 4.1.5
  * Files-Excluded in d/copyright to document repackaging


 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 08:02:26 +0200

nlopt (2.4.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * libnlopt-cpp-dev actually Depends: libnlopt-dev (not only ibnlopt0)

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 15:35:09 +0200

nlopt (2.4.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * octave4.4.patch: new patch, fixes FTBFS against Octave 4.4

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Jun 2018 19:51:46 +0200

nlopt (2.4.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Provide C++ interface
    Closes: #855600
  * hardening=+all
  * cme fix dpkg-control
  * Remove ancient Python version field

 -- Andreas Tille <tille@debian.org>  Tue, 29 May 2018 15:57:03 +0200

nlopt (2.4.2+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Build-depend on dh-octave instead of octave-pkg-dev (Closes: #890088)

  [ Sébastien Villemot ]
  * Update Vcs-* fields for salsa.
  * Bump to debhelper compat level 11, simplify debian/rules.
  * Add Testsuite: autopkgtest-pkg-python.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 13 Feb 2018 12:25:27 +0100

nlopt (2.4.2+dfsg-3) unstable; urgency=medium

  [ Afif Elghraoui ]
  * initial upstream branch
  * Imported Upstream version 2.4.2+dfsg

  [ Sergey B Kirpichev ]
  * override_dh_auto_reconf -> override_dh_autoreconf (Closes: #834653)
  * Bump up Standards-Version (to 4.0.0)
  * Set "Multi-Arch: same" for libnlopt-dev and octave-nlopt
  * Fix some spelling warnings from lintian
  * Init .gitignore
  * Adapt Vcs-* fields for Git

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 08 Jul 2017 16:19:35 +0300

nlopt (2.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/p/octave-4.0.patch: new patch, fixes FTBFS against Octave 4.0.
    (Closes: #792826)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Jul 2015 20:03:29 +0200

nlopt (2.4.2+dfsg-1) unstable; urgency=low

  * Install Octave files into private directories (Closes: #734044,
    thanks to Rafael Laboissiere)
  * Fix *.oct path in override_dh_shlibdeps
  * Call libtoolize with --force to update libtool.m4 (thanks
    to Matthias Klose)
  * Imported Upstream version 2.4.2+dfsg
  * Migrate to guile-2.0 (Closes: #746009)
  * Removed obsoleted patch

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 20 May 2014 23:27:49 +0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,29 @@
 Source: nlopt
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>,
+           Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
 Section: math
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>, Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
- autotools-dev, libtool, automake, g++ (>= 4.2), octave-pkg-dev (>= 1.0.1),
- python-all-dev (>= 2.6.6-3~), python-numpy, guile-1.8, guile-1.8-dev
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.6
+Build-Depends: debhelper (>= 11~),
+               dh-octave,
+               python-all-dev,
+               python-numpy,
+               guile-2.0,
+               guile-2.0-dev,
+               dh-exec
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/science-team/nlopt
+Vcs-Git: https://salsa.debian.org/science-team/nlopt.git
 Homepage: http://ab-initio.mit.edu/wiki/index.php/NLopt
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/nlopt
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/nlopt
 
 Package: libnlopt0
-Section: libs
 Architecture: any
 Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Description: nonlinear optimization library
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -40,8 +45,11 @@
 
 Package: libnlopt-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libnlopt0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: nonlinear optimization library -- development package
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -60,10 +68,65 @@
  This package contains the header files, static libraries and symbolic
  links that developers using NLopt library will need.
 
+Package: libnlopt-cxx0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: nonlinear optimization library (C++ interface)
+ NLopt is a free/open-source library for nonlinear optimization, providing
+ a common interface for a number of different free optimization routines
+ available online as well as original implementations of various other
+ algorithms. Its features include:
+ .
+    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
+    * A common interface for many different algorithms
+    * Support for large-scale optimization.
+    * Both global and local optimization algorithms.
+    * Algorithms using function values only (derivative-free) and also
+      algorithms exploiting user-supplied gradients.
+    * Algorithms for unconstrained optimization, bound-constrained optimization,
+      and general nonlinear inequality/equality constraints.
+ .
+ This package provides the shared libraries required to run programs
+ compiled with NLopt in C++. To compile your own programs you also need to
+ install libnlopt-cxx-dev.
+
+Package: libnlopt-cxx-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libnlopt-dev (= ${binary:Version}),
+         libnlopt-cxx0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: nonlinear optimization library -- development package for C++
+ NLopt is a free/open-source library for nonlinear optimization, providing
+ a common interface for a number of different free optimization routines
+ available online as well as original implementations of various other
+ algorithms. Its features include:
+ .
+    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
+    * A common interface for many different algorithms
+    * Support for large-scale optimization.
+    * Both global and local optimization algorithms.
+    * Algorithms using function values only (derivative-free) and also
+      algorithms exploiting user-supplied gradients.
+    * Algorithms for unconstrained optimization, bound-constrained optimization,
+      and general nonlinear inequality/equality constraints.
+ .
+ This package contains the header files, static libraries and symbolic
+ links that developers using NLopt library with C++ will need.
+
 Package: python-nlopt
 Architecture: any
 Section: python
-Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
+Depends: libnlopt0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${python:Depends},
+         ${misc:Depends}
 Provides: ${python:Provides}
 Description: nonlinear optimization library -- Python bindings
  NLopt is a free/open-source library for nonlinear optimization, providing
@@ -84,7 +147,11 @@
 
 Package: octave-nlopt
 Architecture: any
-Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
+Multi-Arch: same
+Depends: libnlopt0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+         ${octave:Depends}
 Description: nonlinear optimization library -- GNU Octave package
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -103,11 +170,14 @@
  This package contains the module for the GNU Octave.
 
 Package: libnlopt-guile0
-Section: libs
 Architecture: any
 Multi-Arch: same
+Section: libs
+Depends: libnlopt0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         guile-2.0
 Pre-Depends: ${misc:Pre-Depends}
-Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, guile-1.8
 Description: nonlinear optimization library -- Guile bindings
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines

## nlopt 2.4.2+dfsg

=== debian/control ===
Source: nlopt
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>, Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Build-Depends: debhelper (>= 11),
               dh-octave,
               python-all-dev (>= 2.6.6-3~),
               python-numpy,
               guile-2.0,
               guile-2.0-dev
Standards-Version: 4.0.0
X-Python-Version: >= 2.6
Homepage: http://ab-initio.mit.edu/wiki/index.php/NLopt
Vcs-Git: https://salsa.debian.org/science-team/nlopt.git
Vcs-Browser: https://salsa.debian.org/science-team/nlopt
Testsuite: autopkgtest-pkg-python

Package: libnlopt0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: nonlinear optimization library
 NLopt is a free/open-source library for nonlinear optimization, providing
 a common interface for a number of different free optimization routines
 available online as well as original implementations of various other
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also
      algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization,
      and general nonlinear inequality/equality constraints.
 .
 This package provides the shared libraries required to run programs
 compiled with NLopt. To compile your own programs you also need to
 install libnlopt-dev.

Package: libnlopt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: nonlinear optimization library -- development package
 NLopt is a free/open-source library for nonlinear optimization, providing
 a common interface for a number of different free optimization routines
 available online as well as original implementations of various other
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also
      algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization,
      and general nonlinear inequality/equality constraints.
 .
 This package contains the header files, static libraries and symbolic
 links that developers using NLopt library will need.

Package: python-nlopt
Architecture: any
Section: python
Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: nonlinear optimization library -- Python bindings
 NLopt is a free/open-source library for nonlinear optimization, providing
 a common interface for a number of different free optimization routines
 available online as well as original implementations of various other
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also
      algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization,
      and general nonlinear inequality/equality constraints.
 .
 This package contains the Python bindings.

Package: octave-nlopt
Architecture: any
Multi-Arch: same
Depends: libnlopt0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: nonlinear optimization library -- GNU Octave package
 NLopt is a free/open-source library for nonlinear optimization, providing
 a common interface for a number of different free optimization routines
 available online as well as original implementations of various other
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also
      algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization,
      and general nonlinear inequality/equality constraints.
 .
 This package contains the module for the GNU Octave.

Package: libnlopt-guile0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, guile-2.0
Description: nonlinear optimization library -- Guile bindings
 NLopt is a free/open-source library for nonlinear optimization, providing
 a common interface for a number of different free optimization routines
 available online as well as original implementations of various other
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also
      algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization,
      and general nonlinear inequality/equality constraints.
 .
 This package contains the bindings for GNU Guile.

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = $(CURDIR)/debian/build

PYVERS := $(shell pyversions -vr debian/control)

# The directories below are versioned.  We only support the packages for the
# stable version of Octave
mpath = $(shell octave-config -p LOCALFCNFILEDIR)/nlopt
bpath = $(shell octave-config -p LOCALOCTFILEDIR)/nlopt

%:
	dh $@  --buildsystem=autoconf --builddirectory=$(BUILDDIR) --with python2

override_dh_auto_configure:
	for v in $(PYVERS); do \
	   dh_auto_configure --builddirectory=$(BUILDDIR)$$v \
	        -- $(extra_flags) \
		--prefix=/usr \
		--srcdir=$(CURDIR) \
		--enable-shared \
		PYTHON=/usr/bin/python$$v \
		OCT_INSTALL_DIR=$(bpath) M_INSTALL_DIR=$(mpath) \
		GUILE=guile GUILE_CONFIG=guile-config; \
	done

override_dh_auto_build:
	for v in $(PYVERS); do \
	   dh_auto_build --builddirectory=$(BUILDDIR)$$v; \
	done

override_dh_clean:
	dh_clean --exclude='*.orig'

override_dh_auto_clean:
	for v in $(PYVERS); do \
	   rm -rf $(BUILDDIR)$$v; \
	done

override_dh_strip:
	dh_strip
	find debian/octave-nlopt/usr/lib -name *.oct | \
		xargs strip --strip-unneeded --remove-section=.comment

override_dh_makeshlibs:
	dh_makeshlibs $(shell for v in $(PYVERS); do printf -- "-X/usr/lib/python$$v/dist-packages "; done)

override_dh_shlibdeps:
	dh_shlibdeps
	dh_octave_substvar

override_dh_auto_install:
	for v in $(PYVERS); do \
	  dh_auto_install --builddirectory=$(BUILDDIR)$$v; \
	done

	dh_numpy
	find debian/tmp/usr/lib/python* \
		-name '*.pyc' -o -name '*.pyo' \
		-o -name '*.la' -o -name '*.a' | xargs rm

override_dh_link:
	for package in libnlopt-dev libnlopt-guile0 octave-nlopt python-nlopt; do \
		rm -rf debian/$$package/usr/share/doc/$$package; \
	done
	dh_link


override_dh_auto_test:
	for v in $(PYVERS); do \
	   dh_auto_test --builddirectory=$(BUILDDIR)$$v \
	        -- $(extra_flags); \
	done

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
    http://ab-initio.mit.edu/wiki/index.php/NLopt .*/nlopt-(.*)\.tar\.gz \
    debian debian/orig-tar.sh
